tpm2_takeownership(8)

NAME
tpm2_takeownership - Inserting authorization values for the ownerAuth, endorsementAuth, and lockoutAuth, if any passwd option is missing, assume NULL.

SYNOPSIS
tpm2_takeownership[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --ownerPasswd|--endorsePasswd|--lockPasswd|--oldOwnerPasswd|--oldEndorsePasswd|--oldLockPasswd|--passwdInHex|--clear| ]

Inserting authorization values for the ownerAuth, endorsementAuth, and lockoutAuth, if any passwd option is missing, assume NULL.

DESCRIPTION
tpm2_takeownership Inserting authorization values for the ownerAuth, endorsementAuth, and lockoutAuth, if any passwd option is missing, assume NULL.

OPTIONS

-o ,--ownerPasswd
    new Owner authorization value (string, optional, default:NULL).

-e ,--endorsePasswd
    new Endorsement authorization value (string, optional, default:NULL).

-l ,--lockPasswd
    new Lockout authorization value (string, optional, default:NULL).

-O ,--oldOwnerPasswd
    old Owner authorization (string, optional, default:NULL).

-E ,--oldEndorsePasswd
    old Endorsement authorization (string, optional, default:NULL).

-L ,--oldLockPasswd
    old Lockout authorization (string, optional, default:NULL).

-X ,--passwdInHex
    passwords given by any options are hex format

-c ,--clear
    [-L [-X]] clears the 3 authorizations values with lockout auth.

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_takeownership

    Set ownerAuth, endorsementAuth and lockoutAuth to emptyAuth:
    tpm2_takeownership -c -L old
    Set ownerAuth, endorsementAuth and lockoutAuth to a newAuth:
    tpm2_takeownership -o new -e new -l new -O old -E old -L old
    tpm2_takeownership -o 2a2b2c -e 2a2b2c -l 2a2b2c -O 1a1b1c -E 1a1b1c -L 1a1b1c -X